import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/describable.dart';

part 'description.g.dart';


@JsonSerializable()
class OrganizationDescriptionDTO {
  final DescribableDTO description;
  final String? logoUrl;

  const OrganizationDescriptionDTO({
    required this.description,
    this.logoUrl,
  });

  factory OrganizationDescriptionDTO.fromJson(Map<String, dynamic> json) => _$OrganizationDescriptionDTOFromJson(json);
  Map<String, dynamic> toJson() => _$OrganizationDescriptionDTOToJson(this);
}